## org.apache.commons.collections.functors
Class TransformerClosure

    java.lang.Object
      org.apache.commons.collections.functors.TransformerClosure

All Implemented Interfaces:
  java.io.Serializable, Closure

    public class TransformerClosure

extends java.lang.Object
implements Closure, java.io.Serializable

Closure implementation that calls a Transformer using the input object and ignore the result.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`TransformerClosure(Transformer transformer)` Constructor that performs no validation.

Method Summary
`void` `execute(java.lang.Object input)` Executes the closure by calling the decorated transformer.
`static Closure` `getInstance(Transformer transformer)` Factory method that performs validation.
`Transformer` `getTransformer()` Gets the transformer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerClosure

    public TransformerClosure(Transformer transformer)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `transformer` - the transformer to call, not null

Method Detail

### getInstance

    public static Closure getInstance(Transformer transformer)

  Factory method that performs validation.

  A null transformer will return the `NOPClosure`.

  Parameters:
    `transformer` - the transformer to call, null means nop
  Returns:
    the `transformer` closure

### execute

    public void execute(java.lang.Object input)

  Executes the closure by calling the decorated transformer.

  Specified by:
    `execute` in interface `Closure`
  Parameters:
    `input` - the input object

### getTransformer

    public Transformer getTransformer()

  Gets the transformer.

  Returns:
    the transformer
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.